### org.jfree.layouting.modules.output.graphics

# Class FlowGraphicsOutputProcessor

- `java.lang.Object`
- - `org.jfree.layouting.output.AbstractOutputProcessor`
  - - `org.jfree.layouting.modules.output.graphics.FlowGraphicsOutputProcessor`

Implemented Interfaces:
  OutputProcessor

`public class FlowGraphicsOutputProcessor`
`extends AbstractOutputProcessor`

Creation-Date: 02.01.2006, 19:55:14

Author:
  Thomas Morgner

  ## Field Summary

  ### Fields inherited from class org.jfree.layouting.output.AbstractOutputProcessor

  `PROCESSING_CONTENT`, `PROCESSING_GLOBAL_CONTENT`, `PROCESSING_PAGES`

  ## Constructor Summary

  `FlowGraphicsOutputProcessor(Configuration configuration)`

  ## Method Summary

  `Renderer`

  `createRenderer(LayoutProcess layoutProcess)`

  `GraphicsContentInterceptor`

  `getInterceptor()`

  `OutputProcessorMetaData`

  `getMetaData()`

  `PrototypeBuildingRenderer`

  `getPrototypeBuilder()`

  `protected void`

  `processPageContent(LogicalPageKey logicalPageKey, LogicalPageBox logicalPage)`

  `void`

  `setInterceptor(GraphicsContentInterceptor interceptor)`

  ### Methods inherited from class org.jfree.layouting.output.AbstractOutputProcessor

  `createInputFeed`, `createLogicalPage`, `createModelBuilder`, `createNormalizer`, `getConfiguration`, `getDocumentContext`, `getLogicalPage`, `getLogicalPageCount`, `getPageCursor`, `getProcessingState`, `isContentGeneratable`, `isGlobalStateComputed`, `isPaginationFinished`, `processContent`, `processDocumentMetaData`, `processPageContent`, `processingContentFinished`, `processingFinished`, `processingGlobalContentFinished`, `processingPagesFinished`, `setPageCursor`

## Constructor Details

### FlowGraphicsOutputProcessor

    public FlowGraphicsOutputProcessor(Configuration configuration)

## Method Details

### createRenderer

    public Renderer createRenderer(LayoutProcess layoutProcess)

> Specified by:
>   createRenderer in interface OutputProcessor

### getInterceptor

    public GraphicsContentInterceptor getInterceptor()

### getMetaData

    public OutputProcessorMetaData getMetaData()

> Specified by:
>   getMetaData in interface OutputProcessor

### getPrototypeBuilder

    public PrototypeBuildingRenderer getPrototypeBuilder()

### processPageContent

    protected void processPageContent(LogicalPageKey logicalPageKey,
                                      LogicalPageBox logicalPage)

> Overrides:
>   processPageContent in interface AbstractOutputProcessor

### setInterceptor

    public void setInterceptor(GraphicsContentInterceptor interceptor)